Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.font
Class PDType0Font

    java.lang.Object
      org.pdfbox.pdmodel.font.PDFont
          org.pdfbox.pdmodel.font.PDType0Font

All Implemented Interfaces:
  COSObjectable

public class PDType0Font
extends PDFont

This is implementation of the Type0 Font.

Version:
  $Revision: 1.9 $
Author:
  Ben Litchfield

Field Summary

Fields inherited from class org.pdfbox.pdmodel.font.PDFont
`font`

Constructor Summary
`PDType0Font()` Constructor.
`PDType0Font(COSDictionary fontDictionary)` Constructor.

Method Summary
`void` | `drawString(String string, Graphics g, float fontSize, float xScale, float yScale, float x, float y)` This will draw a string on a canvas using the font.
`float` | `getAverageFontWidth()` This will get the average font width for all characters.
`PDRectangle` | `getFontBoundingBox()` This will get the fonts bouding box.
`float` | `getFontHeight(byte[] c, int offset, int length)` This will get the font height for a character.
`float` | `getFontWidth(byte[] c, int offset, int length)` This will get the font width for a character.

Methods inherited from class org.pdfbox.pdmodel.font.PDFont
`clearResources, encode, equals, getAFM, getAverageFontWidthFromAFMFile, getBaseFont, getCodeFromArray, getCOSObject, getEncoding, getFirstChar, getFontMatrix, getFontWidthFromAFMFile, getLastChar, getStringWidth, getSubType, getType, getWidths, hashCode, setBaseFont, setEncoding, setFirstChar, setLastChar, setWidths`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDType0Font

    public PDType0Font()

  Constructor.

### PDType0Font

    public PDType0Font(COSDictionary fontDictionary)

  Constructor.

Parameters:
  `fontDictionary` - The font dictionary according to the PDF specification.

Method Detail

### drawString

    public void drawString(String string,
                           Graphics g,
                           float fontSize,
                           float xScale,
                           float yScale,
                           float x,
                           float y)

  This will draw a string on a canvas using the font.

  Specified by:
    `drawString` in class `PDFont`
  Parameters:
    `string` - The string to draw.
    `g` - The graphics to draw onto.
    `fontSize` - The size of the font to draw.
    `xScale` - The x scaling percent.
    `yScale` - The y scaling percent.
    `x` - The x coordinate to draw at.
    `y` - The y coordinate to draw at.

### getFontBoundingBox

    public PDRectangle getFontBoundingBox()
                                   throws IOException

  This will get the fonts bouding box.

  Specified by:
    `getFontBoundingBox` in class `PDFont`
  Returns:
    The fonts bouding box.
  Throws:
    `IOException` - If there is an error getting the bounding box.

### getFontWidth

    public float getFontWidth(byte[] c,
                              int offset,
                              int length)
                       throws IOException

  This will get the font width for a character.

  Specified by:
    `getFontWidth` in class `PDFont`
  Parameters:
    `c` - The character code to get the width for.
    `offset` - The offset into the array.
    `length` - The length of the data.
  Returns:
    The width is in 1000 unit of text space, ie 333 or 777
  Throws:
    `IOException` - If an error occurs while parsing.

### getFontHeight

    public float getFontHeight(byte[] c,
                               int offset,
                               int length)
                        throws IOException

  This will get the font height for a character.

  Specified by:
    `getFontHeight` in class `PDFont`
  Parameters:
    `c` - The character code to get the height for.
    `offset` - The offset into the array.
    `length` - The length of the data.
  Returns:
    The width is in 1000 unit of text space, ie 333 or 777
  Throws:
    `IOException` - If an error occurs while parsing.

### getAverageFontWidth

    public float getAverageFontWidth()
                              throws IOException

  This will get the average font width for all characters.

  Specified by:
    `getAverageFontWidth` in class `PDFont`
  Returns:
    The width is in 1000 unit of text space, ie 333 or 777
  Throws:
    `IOException` - If an error occurs while parsing.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD